vich_uploader:
    db_driver: orm
    mappings:
        logo_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.project_dir%/public/uploads/site'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.logo.md5
            namer: namer.md5
        favicon_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.project_dir%/public/uploads/site'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.favicon.md5
            namer: namer.md5
        main_picture_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.project_dir%/public/uploads/site'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.mainPicture.md5
            namer: namer.md5
        post_picture_site:
            uri_prefix:         /uploads/site
            upload_destination: '%kernel.project_dir%/public/uploads/site'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            directory_namer: namer.blogPostPicture.md5
            namer: namer.md5
        gallery_images:
            uri_prefix:         /uploads/galleries
            upload_destination: '%kernel.project_dir%/public/uploads/galleries'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            namer: namer.md5
        shop_product_image:
            uri_prefix:         /uploads/shop
            upload_destination: '%kernel.project_dir%/public/uploads/shop'
            inject_on_load:     false
            delete_on_update:   true
            delete_on_remove:   true
            namer: namer.md5
        shop_invoices:
            uri_prefix:         /uploads/invoices
            upload_destination: '%kernel.project_dir%/public/uploads/invoices'
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   true
            directory_namer: namer.invoice.site
            namer: namer.invoice.filename
